Subject: bug#73255: 30.0.91; on NetBSD-10 configure script run halts

From: Eli Zaretskii <[email-masked]>
Date: Sun, 15 Sep 2024 08:06:26 +0300

> Date: Sat, 14 Sep 2024 19:01:21 +0000
> From:  Van Ly via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> I was able to build emacs-29.4 but 30.0.91 stops at the configure
> script.
> 
> The following packages are on the amd64/x86_64 NetBSD 10.0_STABLE
> system
> 
> cairo-1.18.0nb2 =    Vector graphics library with cross-device output support
> gnutls-3.8.5nb3 =    Transport Layer Security library
> 
> A snippet of the output from configure reads
> 
>   checking for cairo >= 1.8.0... no
>   configure: WARNING: cairo requested but not found.
> 
>   configure: error: The following required libraries were not found:
>        gnutls

That's the reason, right there: the configure script decided it
couldn't find GnuTLS installed whose version is at least 2.12.2:

> 167 checking for gnutls >= 2.12.2... no

AFAICT, Emacs 29.4 was making the same test, so there's some other
factor here at work.  Did something change wrt GnuTLS between the time
you built Emacs 29.4 and the time you tried to build 30.0.91?  Are you
sure you have the header files needed for developing programs with
GnuTLS?

In any case, please post config.log which was created by running the
configure script, it should tell the details regarding the failed
test.

> 210 configure: error: The following required libraries were not found:
> 211      gnutls
> 212 Maybe some development libraries/packages are missing?
> 213 To build anyway, give:
> 214      --with-gnutls=ifavailable
> 215 as options to configure

And if worse comes to worst, you can always use the above advice
(although building Emacs without GnuTLS is not recommended).